> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specific vendor

> Update a specific vendor



## OpenAPI

````yaml /openapi/openapi_location_admin.json put /commerce/vendors/{vendorCode}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_ADMIN">
                <h2>LOCATION ADMINISTRATION</h2>
                <p>The Location and Location Groups APIs enable tenants to associate a physical address with product inventory,
                    provide a store finder for in-store pickup, or both and manage these locations at individual and group levels. See the
                    <a href="/pages/locations">Location user guides</a>
                    for information about the related feature in the Unified Commerce Admin.</p>
                <p>The <strong>Location Admin</strong>
                    resource
                    allows information about the individual locations to be accessed and edited, including creating new
                    locations.</p>
                <p>Use the <strong>Location Group</strong> and <strong>Location Group Configuration</strong> resources to manage groups, or sets of similar fulfillment locations that are bundled together
                    to improve efficiency of managing configurations based on catalogs, custom fulfillment flows,
                    available carrier options, and so forth.</p>
                <p>Use the <strong>Location Types</strong> resource to manage the types of locations your tenant maintains, such as
                    warehouses,
                    physical storefronts, and kiosks.</p>
                <p>Use the <strong>Location Settings</strong> resource to to define the available usages; or the locations and
                        location types that interact
                        with a specified site.</p>
            </div>
  title: Location Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/vendors/{vendorCode}:
    put:
      tags:
        - Vendor
      summary: Update a specific vendor
      description: Update a specific vendor
      parameters:
        - description: Unique vendor code
          in: path
          name: vendorCode
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Vendor'
        description: Vendor object with changes
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vendor'
            text/json:
              schema:
                $ref: '#/components/schemas/Vendor'
            text/plain:
              schema:
                $ref: '#/components/schemas/Vendor'
          description: Success
components:
  schemas:
    Vendor:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        contactInfo:
          $ref: '#/components/schemas/ContactInfo'
        inventoryRefresh:
          nullable: true
          type: string
        locations:
          items:
            $ref: '#/components/schemas/VendorLocation'
          nullable: true
          type: array
        name:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        tenantId:
          format: int32
          type: integer
        vendorCode:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    ContactInfo:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        email:
          nullable: true
          type: string
        phone:
          nullable: true
          type: string
      type: object
    VendorLocation:
      properties:
        data:
          nullable: true
        locationCode:
          nullable: true
          type: string
        receiverId:
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````